
QGIS Application - Bug report #19410

Unable to remove Custom Auxiliary Field

2018-07-13 10:54 AM - Man Andman

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Virtual Layers

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27238

Description

In QGIS 3.2 I have created custom auxiliary field (manually). Then I wanted to remove it but it didn't work with this field, worked only with

qgis added ones.

History

#1 - 2018-10-23 04:01 PM - Regis Haubourg

- Crashes QGIS or corrupts data changed from No to Yes

- File aux_field_manipulation_crash.gif added

- Assignee set to Paul Blottiere

Hi, 

confirmed in master. It is even nastier:

- create manually an auxiliary db from layer properties / create

- add a fied. This field has a full name but no name filled

- add a second fiel manually doesn't work

- trying to delete the auxiliary db crashes QGIS

- saving the project, reopening it allows to delete some auxiliary fields, but not all

- trying to delete the auxiliary db in a fresh new QGIS also crashes QGIS

See attached screencast.

Paul, does it ring any bell to you ?

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2018-12-28 12:16 PM - Man Andman

Now (in my 3.4.3) everything works fine!

#4 - 2018-12-28 02:59 PM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Files

HuaTc.png 46.6 KB 2018-07-13 Man Andman

aux_field_manipulation_crash.gif 2.36 MB 2018-10-23 Regis Haubourg
